# Uses of Enum Class
org.apache.sysds.runtime.matrix.operators.CMOperator.AggregateOperationTypes

Packages that use CMOperator.AggregateOperationTypes
Package
Description
org.apache.sysds.runtime.functionobjects
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.matrix.operators

## Uses of CMOperator.AggregateOperationTypes in org.apache.sysds.runtime.functionobjects

Methods in org.apache.sysds.runtime.functionobjects that return CMOperator.AggregateOperationTypes
Modifier and Type
Method
Description
`CMOperator.AggregateOperationTypes`
CM.`getAggOpType()`
Methods in org.apache.sysds.runtime.functionobjects with parameters of type CMOperator.AggregateOperationTypes
Modifier and Type
Method
Description
`static CM`
CM.`getCMFnObject(CMOperator.AggregateOperationTypes type)`

## Uses of CMOperator.AggregateOperationTypes in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp with parameters of type CMOperator.AggregateOperationTypes
Modifier and Type
Method
Description
`double`
CmCovObject.`getRequiredResult(CMOperator.AggregateOperationTypes agg)`
Return the result of the aggregated operation given the operation type.

## Uses of CMOperator.AggregateOperationTypes in org.apache.sysds.runtime.matrix.operators

Fields in org.apache.sysds.runtime.matrix.operators declared as CMOperator.AggregateOperationTypes
Modifier and Type
Field
Description
`final CMOperator.AggregateOperationTypes`
CMOperator.`aggOpType`
Methods in org.apache.sysds.runtime.matrix.operators that return CMOperator.AggregateOperationTypes
Modifier and Type
Method
Description
`CMOperator.AggregateOperationTypes`
CMOperator.`getAggOpType()`
`static CMOperator.AggregateOperationTypes`
CMOperator.`getAggOpType(String fn, String order)`
`static CMOperator.AggregateOperationTypes`
CMOperator.`getCMAggOpType(int order)`
`static CMOperator.AggregateOperationTypes`
CMOperator.AggregateOperationTypes.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CMOperator.AggregateOperationTypes[]`
CMOperator.AggregateOperationTypes.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.matrix.operators with parameters of type CMOperator.AggregateOperationTypes
Modifier
Constructor
Description
``
`CMOperator(ValueFunction op, CMOperator.AggregateOperationTypes agg)`
``
`CMOperator(ValueFunction op, CMOperator.AggregateOperationTypes agg, int numThreads)`